<template lang='pug'>
  .modal-mask
    .modal-wrapper
      .modal-container
        .modal-content
          .close(@click='$emit("onClose")')
          img.coin(src='../assets/img/coin.png')
          .big-text-container
            BaseText(size='text-bg' skin='black') Количество монет ограничено
          .small-text-container
            BaseText(size='text-md-min-line-height' skin='dark-grey') Вы не можете нацыганить более 100 монет biorobo
</template>

<script lang='ts'>
import { Vue, Component } from 'vue-property-decorator'

import BaseText from './BaseText.vue'

@Component({
  components: {
    BaseText
  }
})
export default class ModalCoins extends Vue {

}
</script>

<style lang='scss' scoped>
@import '../assets/styles/config/variables.scss';

.modal-content {
  .coin {
    width: 43px;
    height: 52px;
    margin-top: 24px;
    margin-left: 34px;
  }

  .span {
    font-size: 32px;
    line-height: 40px;
    margin: 0;

    color: $modal-header-color;
  }
}

.close {
  width: 32px;
  height: 32px;

  margin-top: 8px;
  margin-left: 456px;
  cursor: pointer;

  &::before {
    display: block;
    position: relative;
    content: '';
    width: 2px;
    height: 16px;
    transform: rotate(-45deg);
    top: 9.2px;
    left: 14px;
    background-color: $main-orange-color;
  }

  &::after {
    display: block;
    position: relative;
    content: '';
    width: 2px;
    height: 16px;
    bottom: 7px;
    left: 14px;

    background-color: $main-orange-color;

    transform: rotate(-135deg);
  }
}

.big-text-container {
  display: inline-block;
  width: 330px;
  height: 80px;
  margin-left: 29px;
}

.small-text-container {
  width: 306px;
  margin-top: 23px;
  margin-left: 106px;

  .span {
    color: $modal-content-color;
    font-size: 20px;
    line-height: 32px;
    margin: 0;
  }
}
</style>
